Subject: Issues with emacs 30.0.91 on windows

From: Champailler Stéphane <[email-masked]>
Date: Tue, 29 Oct 2024 07:53:14 +0000

Hello,

I have given a shot today at emacs 30.0.91 on windows (don't shoot at me 🙂)

I got some problems:
- M-x packages-list-package is slow, 1-2 minute to complete. I'm behind a company firewall. C-g is responsive still.
- M-x packages-list-package-no-fetch is slow too, about 1 minute to complete
- I have installed lsp-mode package (20241025.1627). When trying to start it, I get an error (see end of mail). This error doesn't show up in emacs 29.4.

I'm not a very savvy user of emacs (mostly text, python scripts and org-mode) but if you need more info, I can try to get that.

Hope it helps,
Stéphane

Debugger entered--Lisp error: (error "Shortdoc f function ‘f-older-p’: bad keyword ‘:noeval’")
  error("Shortdoc %s function `%s': bad keyword `%s'" f f-older-p :noeval)
  #f(compiled-function (group &rest functions) "Add GROUP to the list of defined documentation groups.\nFUNCTIONS is a list of elements on the form:\n\n  (FUNC\n   :no-manual BOOL\n   :args ARGS\n   :eval EVAL\n   :no-eval EXAMPLE-FORM\n   :no-value EXAMPLE-FORM\n   :no-eval* EXAMPLE-FORM\n   :result RESULT-FORM\n   :result-string RESULT-STRING\n   :eg-result RESULT-FORM\n   :eg-result-string RESULT-STRING)\n\nFUNC is the function being documented.\n\nNO-MANUAL should be non-nil if FUNC isn't documented in the\nmanual.\n\nARGS is optional list of function FUNC's arguments.  FUNC's\nsignature is displayed automatically if ARGS is not present.\nSpecifying ARGS might be useful where you don't want to document\nsome of the uncommon arguments a function might have.\n\nWhile the `:no-manual' and `:args' property can be used for\nany (FUNC ..) form, all of the other properties shown above\ncannot be used simultaneously in such a form.\n\nHere are some common forms with examples of properties that go\ntogether:\n\n1. Document a form or string, and its evaluated return value.\n   (FUNC\n    :eval EVAL)\n\nIf EVAL is a string, it will be inserted as is, and then that\nstring will be `read' and evaluated.\n\n2. Document a form or string, but manually document its evaluation\n   result.  The provided form will not be evaluated.\n\n  (FUNC\n   :no-eval EXAMPLE-FORM\n   :result RESULT-FORM)   ;Use `:result-string' if value is in string form\n\nUsing `:no-value' is the same as using `:no-eval'.\n\nUse `:no-eval*' instead of `:no-eval' where the successful\nexecution of the documented form depends on some conditions.\n\n3. Document a form or string EXAMPLE-FORM.  Also manually\n   document an example result.  This result could be unrelated to\n   the documented form.\n\n  (FUNC\n   :no-eval EXAMPLE-FORM\n   :eg-result RESULT-FORM) ;Use `:eg-result-string' if value is in string form\n\nA FUNC form can have any number of `:no-eval' (or `:no-value'),\n`:no-eval*', `:result', `:result-string', `:eg-result' and\n`:eg-result-string' properties." #<bytecode 0xdb1d4fa4d0b2928>)(f "Paths" (f-join :eval (f-join "path") :eval (f-join "path" "to") :eval (f-join "/" "path" "to" "heaven") :eval (f-join "path" "/to" "file")) (f-split :eval (f-split "path") :eval (f-split "path/to") :eval (f-split "/path/to/heaven") :eval (f-split "~/back/to/earth")) (f-expand :no-eval (f-expand "name") :result-string "/default/directory/name" :no-eval (f-expand "name" "other/directory") :result-string "other/directory/name") (f-filename :eval (f-filename "path/to/file.ext") :eval (f-filename "path/to/directory")) (f-dirname :eval (f-dirname "path/to/file.ext") :eval (f-dirname "path/to/directory") :eval (f-dirname "/")) (f-common-parent :eval (f-common-parent ...) :eval (f-common-parent ...) :eval (f-common-parent ...)) (f-ext :eval (f-ext "path/to/file") :eval (f-ext "path/to/file.txt") :eval (f-ext "path/to/file.txt.org")) (f-no-ext :eval (f-no-ext "path/to/file") :eval (f-no-ext "path/to/file.txt") :eval (f-no-ext "path/to/file.txt.org")) (f-swap-ext :eval (f-swap-ext "path/to/file.ext" "org")) (f-base :eval (f-base "path/to/file.ext") :eval (f-base "path/to/directory")) (f-relative :eval (f-relative "/some/path/relative/to/my/file.txt" "/some/path/") :eval (f-relative "/default/directory/my/file.txt")) (f-short :no-eval (f-short "/Users/foo/Code/on/macOS") :result-string "~/Code/on/macOS" :no-eval (f-short "/home/foo/Code/on/linux") :result-string "~/Code/on/linux" :eval (f-short "/path/to/Code/bar")) (f-long :eval (f-long "~/Code/bar") :eval (f-long "/path/to/Code/bar")) (f-canonical :eval (f-canonical "/path/to/real/file") :no-eval (f-canonical "/link/to/file") :result-string "/path/to/real/file") (f-slash :no-eval (f-slash "/path/to/file") :result-string "/path/to/file" :no-eval (f-slash "/path/to/dir") :result-string "/path/to/dir/" :no-eval (f-slash "/path/to/dir/") :result-string "/path/to/dir/") (f-full :eval (f-full "~/path/to/file") :eval (f-full "~/path/to/dir") :eval (f-full "~/path/to/dir/")) (f-uniquify :eval (f-uniquify ...) :eval (f-uniquify ...) :eval (f-uniquify ...) :eval (f-uniquify ...)) (f-uniquify-alist :eval (f-uniquify-alist ...) :eval (f-uniquify-alist ...) :eval (f-uniquify-alist ...) :eval (f-uniquify-alist ...)) "I/O" (f-read-bytes :no-eval* (f-read-bytes "path/to/binary/data")) ...)
  load-with-code-conversion("c:/Users/StephaneC/AppData/Roaming/.emacs.d/elpa/f-20230116.1032/f-shortdoc.el" "c:/Users/StephaneC/AppData/Roaming/.emacs.d/elpa/f-20230116.1032/f-shortdoc.el" nil t)
  require(f-shortdoc)
  byte-code("\301\302!\210\301\303!\210\304\305\10\"\203\23\0\301\306!\210\307\310\311\312#\210\307\310\313\314#\207" [emacs-version require s dash version<= "28.1" f-shortdoc put f-guard-error error-conditions (error f-guard-error) error-message "Destructive operation outside sandbox"] 4)
  require(f)
  load-with-code-conversion("c:/Users/StephaneC/AppData/Roaming/.emacs.d/elpa/lsp-mode-20241025.1627/lsp-mode.el" "c:/Users/StephaneC/AppData/Roaming/.emacs.d/elpa/lsp-mode-20241025.1627/lsp-mode.el" nil t)
  require(lsp-mode)
  load-with-code-conversion("c:/Users/StephaneC/AppData/Roaming/.emacs.d/elpa/lsp-mode-20241025.1627/lsp-completion.el" "c:/Users/StephaneC/AppData/Roaming/.emacs.d/elpa/lsp-mode-20241025.1627/lsp-completion.el" nil t)
  autoload-do-load((autoload "lsp-completion" "Toggle LSP completion support.\n\nThis is a minor mode.  If called interactively, toggle the\n`Lsp-Completion mode' mode.  If the prefix argument is positive, enable\nthe mode, and if it is zero or negative, disable the mode.\n\nIf called from Lisp, toggle the mode if ARG is `toggle'.  Enable the\nmode if ARG is nil, omitted, or is a positive number.  Disable the mode\nif ARG is a negative number.\n\nTo check whether the minor mode is enabled in the current buffer,\nevaluate the variable `lsp-completion-mode'.\n\nThe mode's hook is called both when the mode is enabled and when it is\ndisabled.\n\n(fn &optional ARG)" t nil) lsp-completion-mode)
  desktop-load-file(lsp-completion-mode)
  desktop-create-buffer(208 "c:/Users/StephaneC/works/accurapple/src/debug2.rs" "debug2.rs" rust-ts-mode (company-mode lsp-completion-mode flymake-mode lsp-diagnostics-mode lsp-headerline-breadcrumb-mode lsp-modeline-code-actions-mode lsp-modeline-diagnostics-mode lsp-modeline-workspace-status-mode lsp-lens-mode eldoc-mode lsp-managed-mode lsp-mode yascroll-bar-mode font-lock-mode) 706 (740 nil) nil nil ((buffer-display-time 26400 37288 837065 0) (buffer-file-coding-system . utf-8-dos)) ((mark-ring (706))))
  load-with-code-conversion("c:/Users/StephaneC/AppData/Roaming/.emacs.d/.emacs.desktop" "c:/Users/StephaneC/AppData/Roaming/.emacs.d/.emacs.desktop" t t)
  load("c:/Users/StephaneC/AppData/Roaming/.emacs.d/.emacs.desktop" t t t)
  desktop-read()
  #f(compiled-function () #<bytecode 0x4f954274f6df10d>)()
  run-hooks(after-init-hook delayed-warnings-hook)
  command-line()
  normal-top-level()